// Interfaces for the options and configuration used in Render
export interface RenderOptions {
    element: HTMLElement;
    prop: string;
    data?: Record<string, any>[];
    hideEmptyParent: boolean;
    clearOnUpdate?: boolean;
    emptyState?: HTMLElement;
    config?: {
        action?: ConfigAction
        props?: RenderConfig;
        after?: ConfigAction
    }
    action?: (data: any) => any;  
    key: string;
}

export interface ConfigAction {
    (value: any, element: HTMLElement, itemData: any[], key:any[]): void;
}

export interface RenderConfig {
    [key: string]: {
        dataKey: string;
        action: ConfigAction;
    };
}